Debian Bug report logs - #704508
O: global -- Source code tagging system

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Shigio YAMAGUCHI <shigio@gnu.org>

Date: Tue, 2 Apr 2013 06:00:01 UTC

Severity: normal

Done: Ron <ron@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704508; Package wnpp. (Tue, 02 Apr 2013 06:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shigio YAMAGUCHI <shigio@gnu.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 02 Apr 2013 06:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shigio YAMAGUCHI <shigio@gnu.org>
To: submit@bugs.debian.org
Subject: O: GNU GLOBAL -- Source code tagging system
Date: Tue, 2 Apr 2013 14:05:51 +0900
Package: wnpp
Severity: normal

The current maintainer of global, Ron Lee <ron@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: global

GNU GLOBAL is a source code tagging system that works the same way
across diverse environments (emacs, vi, less, bash, web browser, etc).
You can locate objects in source files and move there easily.
It is useful for hacking a large project containing many sub-directories,
many #ifdef and many main() functions.
It is similar to ctags or etags but is different from them at the point of
independence of any editor.
It runs on a UNIX(POSIX) compatible operating system like GNU and BSD.

GNU GLOBAL has following features:

o support C, C++, Yacc, Java, PHP4 and assembly. (definition and reference)
o support 41 languages using Exuberant Ctags. (only definition)
o work the same way across diverse environments.
        Currently, the following environments are supported:
        - Generic shell command line
        - Bash shell
        - Vi clone editor (nvi, elvis, vim)
        - Emacs editor
        - Less viewer
        - Web browser
          (See UNIX kernel source tour! <http://www.tamacom.com/tour/kernel/linux/>
        - Doxygen documentation system
o find locations of specified symbol quickly.
o locate not only definitions but also references.
o locate paths which matches to a specified pattern.
o hierarchical search by default.
o search not only in a project but also in library projects.
o generate completion list for completing input method.
o support various output format.
o allows customizing of the set of candidate files to be tagged.
o understand POSIX 1003.2 regular expressions.
o support idutils as an external search engine.
o tag files are independent of machine architecture.
o incremental updating of tag files.
o plug-in parser is available to treat new languages.
o support customizing with 'gtags.conf'.
o generate a hypertext of source code (XHTML ready).
o compact format to save disk space.
o customizing using a configuration file (gtags.conf).
o support client/server environment (TRAMP ready).
o ignore binary files, dot files and specified files.
o symbolic link loop detection.
o include cscope compatible program (gtags-cscope).
o include grep like command (-g command).

For the detail, please see <http://www.gnu.org/software/global/>
-- 
Shigio YAMAGUCHI <shigio@gnu.org>
PGP fingerprint: D1CB 0B89 B346 4AB6 5663  C4B6 3CA5 BBB3 57BE DDA3



Changed Bug title to 'O: global -- Source code tagging system' from 'O: GNU GLOBAL -- Source code tagging system' Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Tue, 02 Apr 2013 18:21:15 GMT) Full text and rfc822 format available.

Reply sent to Ron <ron@debian.org>:
You have taken responsibility. (Wed, 03 Apr 2013 14:24:12 GMT) Full text and rfc822 format available.

Notification sent to Shigio YAMAGUCHI <shigio@gnu.org>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 14:24:12 GMT) Full text and rfc822 format available.

Message #12 received at 704508-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 704508-done@bugs.debian.org
Subject: O: global -- Source code tagging system
Date: Thu, 4 Apr 2013 00:41:34 +1030
Please don't be silly.

  Thanks,
  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704508; Package wnpp. (Thu, 04 Apr 2013 03:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shigio YAMAGUCHI <shigio@gnu.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 04 Apr 2013 03:54:04 GMT) Full text and rfc822 format available.

Message #17 received at 704508@bugs.debian.org (full text, mbox):

From: Shigio YAMAGUCHI <shigio@gnu.org>
To: 704508@bugs.debian.org
Cc: owner@bugs.debian.org (Debian Bug Tracking System)
Subject: Re: Bug#704508 closed by Ron <ron@debian.org> (O: global -- Source code tagging system)
Date: Thu, 4 Apr 2013 12:10:47 +0900
Hello Ron,

The current debian package is based on GLOBAL-5.7.1 which was released
5 years ago (April 21 2008). It's too old.  Compared with the old version,
the latest version (6.2.8), the quality and efficiency has improved
by leaps and bounds.  However, many debian users are still using the old
one in all innocence.

Though this is very unfortunate, you are ignoring the bug reports which say
'new release is available' for a long time.
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=574947>
As a result, you are blocking GLOBAL and the users.
Since you did not seem to do maintenance jobs, I said you should orphan
the package. But you ignored it.

Would you please explain about the followings?

o Why don't you update the package using newer upstream version?
o Why are you ignoring the bug reports which say 'new release is available'?
o What do you plan to do after this?

You should fulfill the accountability.

My wish is that more debian users can use the facilities of newer GLOBAL.

Regards,
Shigio YAMAGUCHI

On Wed, 03 Apr 2013 14:24:12 +0000
owner@bugs.debian.org (Debian Bug Tracking System) wrote:

> This is an automatic notification regarding your Bug report
> which was filed against the wnpp package:
> 
> #704508: O: global -- Source code tagging system
> 
> It has been closed by Ron <ron@debian.org>.
> 
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Ron <ron@debian.org> by
> replying to this email.
> 
> 
> -- 
> 704508: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704508
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
> 
-- 
Shigio YAMAGUCHI <shigio@gnu.org>
PGP fingerprint: D1CB 0B89 B346 4AB6 5663  C4B6 3CA5 BBB3 57BE DDA3



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 May 2013 07:26:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:43:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.